---
updatedAt: 2025-05-28T00:13:16.000Z
agentTools:
  projectIndex: https://docs.wellsaidlabs.com/llms.txt
---

# Bulk Clip Processing

The WellSaid [clips](https://docs.wellsaidlabs.com/reference/post_clips) endpoint allows you to submit multiple clips in one request and so that they can be processed and returned asynchronously. Users can send up to 100 clips in a single request and then [retrieve those clips](https://docs.wellsaidlabs.com/reference/get_clips)  after they are finished being processed by our text-to-speech models.

### How do you use the endpoint?

**[Create Multiple Clips (Bulk)](https://docs.wellsaidlabs.com/reference/post_clips)**

Make a POST request to this URL, including your API key in the header:

`https://api.wellsaidlabs.com/v1/tts/clips`

An example `curl` command that has an array of clips to create:

```bash
curl --location 'https://api.wellsaidlabs.com/v1/tts/clips' \
--header 'X-API-KEY: <api-key-here>'
--header 'accept: */*' \
--header 'content-type: application/json' \
--data '
[
  {
  	"speaker_id": 7,
  	"text": "Make me my first clip"
	},
	{
  	"speaker_id": 8,
  	"text": "Now make me a second clip"
	},
  {
  	"speaker_id": 9,
  	"text": "Also make me this clip using a replacement library",
    "library_id": "YOUR_LIBRARY_ID"
	}
]
'
```

**Response**

Below is an example of a successful response showing one avatar with the following structure:

```json
{
    "clip_ids": [
        "your_clip_id_1",
        "your_clip_id_2",
        "your_clip_id_3"
    ]
}
```

<br />

### What are the endpoint limits?

* 100 Clips generated per request
* Character limit of each `"text"`body is the same as the limit set by your plan
* Can use any [Avatar](https://docs.wellsaidlabs.com/reference/get_avatars) for each clip
* Can use any [Replacement Library](https://docs.wellsaidlabs.com/reference/post_replacement-libraries) for each clip

## Details of response

| Field       | type    | notes                                                                                                                                  |
| ----------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------- |
| text        | string  | The text you want synthesized into speech by Wellsaid                                                                                  |
| clip\_id    | string  | The ID of the clip being generated by the text-to-speech models                                                                        |
| speaker\_id | integer | The Avatar you want to use for this request. See list [here](https://docs.wellsaidlabs.com/reference/available-voice-avatars)          |
| status      | string  | Indicates the status of the clip and could read "PROCESSING", "FAILED", "COMPLETE"                                                     |
| url         | string  | The url where you can go to hear and download your clip once it has completed processing. The clip will remain available for one week. |